Subject: FW: SSL stopped working

From: Shea Janet B CRBE <[email-masked]>
Date: Tue, 10 Feb 2004 09:09:32 -0500

Second try - this apparently did not make it to the list yesterday. And - an update:

SSL works some of the time - could this point to a lack of entropy? I am using egd-0.9 since this is a Solaris 7 machine.

Janet Shea

>  -----Original Message-----
> From: 	Shea Janet B CRBE  
> Sent:	Monday, February 09, 2004 15:30
> To:	[email-masked]'
> Subject:	SSL stopped working
> 
> I had SSL working on my site on Friday. Today, everytime I try to access it via SSL, I receive "This page cannot be displayed".
> In Apache's error log, I get the following entry for each attempt:
> 
> [Mon Feb  9 08:08:55 2004] [error] mod_ssl: SSL handshake failed (server scribe.
> dt.navy.mil:443, client xxx.xxx.xxx.xxx) (OpenSSL library error follows)
> [Mon Feb  9 08:08:55 2004] [error] OpenSSL:error:1408F455:SSL routines:SSL3_GET
> _RECORD:decryption failed or bad record mac
> 
> I have tried researching this in the archives, but so far, I have not found anything I can use.
> 
> Where do I look to fix this error?
> 
> The software:
>     Solaris 7
>     Apache 1.3.29
>     mod_ssl-2.18.16-1.3.29
>     openssl-0.9.6l
>     auth-ldap-1.6.0
> 
> By the way, please respond directly to me. My requests (3!) to subscribe to modssl-users and modssl-announce apparently
> have gone to the bit bucket.
> 
> Janet Shea
> System Administrator
> NSWC, Carderock Div
> [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]